Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface RequirementDiagramEditor

    com.change_vision.jude.api.inf.editor.RequirementDiagramEditor

All Superinterfaces:
  BasicDiagramEditor, ClassDiagramEditor, DiagramEditor, StructureDiagramEditor

All Implemented Interfaces:
  BasicDiagramEditor, ClassDiagramEditor, DiagramEditor, StructureDiagramEditor

    public RequirementDiagramEditor

extends ClassDiagramEditor

Interface to edit (create/delete) Requirement diagrams. Throws Exception when invalid models are generated.

Method Summary
`abstract IRequirementDiagram` | `createRequirementDiagram(INamedElement owner, String name)` Create a Requirement Diagram in a parent package.

Methods inherited from class com.change_vision.jude.api.inf.editor.ClassDiagramEditor
`createAssociationClassPresentation, createClassDiagram, createInstanceSpecification, createInstanceSpecification, createInstanceSpecificationLink`

Methods inherited from class com.change_vision.jude.api.inf.editor.StructureDiagramEditor
`createContainmentGroup, createContainmentLinkPresentation, createGeneralizationGroup, createLinkPresentation, createNodePresentation, createNodePresentation, getContainmentGroup, getGeneralizationGroup`

Methods inherited from class com.change_vision.jude.api.inf.editor.BasicDiagramEditor
`createNote, createNoteAnchor, createNoteAnchor`

Methods inherited from class com.change_vision.jude.api.inf.editor.DiagramEditor
`createImage, createLine, createRect, createText, delete, deleteDiagram, deletePresentation, getDiagram, setDiagram`

Method Detail

### createRequirementDiagram

    abstract IRequirementDiagram createRequirementDiagram(INamedElement owner,
                                                          String name)

  Create a Requirement Diagram in a parent package. Diagram is set to DiagramEditor (DiagramEditor.setDiagram(IDiagram diagram)) if the diagram is created successfully.

  Parameters:
    `owner` - Parent Package
    `name` - name
  Returns:
    Requirement Diagram
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD